#Using the base image with python 3.7 to build our base image
FROM python:3.7 as base

COPY requirements.txt /app/requirements.txt
RUN python3 -m pip --no-cache-dir install -r /app/requirements.txt

WORKDIR /app/ 
RUN apt-get update && apt-get install -y iputils-ping

COPY ./server/server.py .
COPY ./server/server_nolog.py .
COPY ./server/server_utils.py .

VOLUME /app/volume/

ENV FLASK_APP=server.py

EXPOSE 5080 

CMD ["python", "-m", "flask", "run", "--host=0.0.0.0", "--port=5080"]

#************************** DEBUG IMAGE **************************
# FROM base as debug

# RUN pip install debugpy

# CMD ["python", "-m", "debugpy", "--listen", "0.0.0.0:5678", "-m", "flask", "run", "--host=0.0.0.0" "--port 5080"]

# #************************** PROD IMAGE **************************
# FROM base as prod

# CMD ["python", "-m", "flask", "run", "--host=0.0.0.0", "--port=5080"]

# FROM base as development

